<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<chvote-header>
  <div class="dashboard-header" fxLayout fxLayoutAlign="space-between">
    <h1 id="dashboardHeaderTitle">{{'dashboard.header.title' | translate}}</h1>
    <button id="createOperationButton"
            fxFlexAlign="center"
            mat-raised-button
            color="primary"
            (click)="createOperation()"
            *roles="['ROLE_CREATE_OPERATION']">
      <mat-icon>add</mat-icon>
      {{"dashboard.header.actions.create-operation" | translate | uppercase}}
    </button>
  </div>
</chvote-header>
<div class="chvote-content">
  <operation-list></operation-list>
</div>
